AppController (gCube Workflow Templates Portlet 2.0.0-SNAPSHOT API)
Date: 2013-05-29

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.portlets.admin.wftemplates.client
Class AppController

    java.lang.Object
      org.gcube.portlets.admin.wftemplates.client.AppController

All Implemented Interfaces:
  com.google.gwt.event.logical.shared.ValueChangeHandler<String>, com.google.gwt.event.shared.EventHandler, Presenter

    public class AppController

extends Object
implements Presenter, com.google.gwt.event.logical.shared.ValueChangeHandler<String>

`AppController` class is the controller component of this webapp

Version:
  May 2011 (0.1)
Author:
  Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

Constructor Summary
`AppController(WfTemplatesServiceAsync rpcService, com.google.gwt.event.shared.HandlerManager eventBus)`

Method Summary
`void` | `addNewStep(String label, String description)`
`void` | `addRolesOnConnection(com.orange.links.client.connection.Connection selectedEdge, ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> roles)`
`void` | `doDeleteTemplate(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate toDelete)`
`void` | `doRemoveConnectionFromModel(com.orange.links.client.connection.Connection selected)`
`void` | `doRemoveConnectionFromView(com.orange.links.client.connection.Connection selected)`
`void` | `doRemoveStep(WfStep step)`
`void` | `doSaveTemplate(String templateName)`
`void` | `go(com.google.gwt.user.client.ui.HasWidgets container)`
`void` | `onValueChange(com.google.gwt.event.logical.shared.ValueChangeEvent<String> event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppController

    public AppController(WfTemplatesServiceAsync rpcService,
                         com.google.gwt.event.shared.HandlerManager eventBus)

Method Detail

### go

    public void go(com.google.gwt.user.client.ui.HasWidgets container)

  Specified by:
    `go` in interface `Presenter`

### onValueChange

    public void onValueChange(com.google.gwt.event.logical.shared.ValueChangeEvent<String> event)

  Specified by:
    `onValueChange` in interface `com.google.gwt.event.logical.shared.ValueChangeHandler<String>`

### addNewStep

    public void addNewStep(String label,
                           String description)

  Specified by:
    `addNewStep` in interface `Presenter`

### doSaveTemplate

    public void doSaveTemplate(String templateName)

  Specified by:
    `doSaveTemplate` in interface `Presenter`

### addRolesOnConnection

    public void addRolesOnConnection(com.orange.links.client.connection.Connection selectedEdge,
                                     ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> roles)

  Specified by:
    `addRolesOnConnection` in interface `Presenter`

### doRemoveConnectionFromModel

    public void doRemoveConnectionFromModel(com.orange.links.client.connection.Connection selected)

  Specified by:
    `doRemoveConnectionFromModel` in interface `Presenter`

### doRemoveStep

    public void doRemoveStep(WfStep step)

  Specified by:
    `doRemoveStep` in interface `Presenter`

### doRemoveConnectionFromView

    public void doRemoveConnectionFromView(com.orange.links.client.connection.Connection selected)

  Specified by:
    `doRemoveConnectionFromView` in interface `Presenter`

### doDeleteTemplate

    public void doDeleteTemplate(org.gcube.portlets.admin.wfdocslibrary.shared.WfTemplate toDelete)

  Specified by:
    `doDeleteTemplate` in interface `Presenter`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.